import 'package:cs_resources/generated/l10n.dart';
import 'package:flutter/material.dart';

class ApplyState {

  //详情页面的索引，为了记录详情页面组的当前跳转索引，不参与状态所以不用参与Copy方法
  int detailPageIndex;

  //表单类型（列表的Form类型）
  String? formType;

  //是否可编辑
  bool enableEdit;

  //详情数据
  Map<String, dynamic>? applyDetail;

  ApplyState({
    this.formType,
    this.applyDetail,
    this.enableEdit = true,
    this.detailPageIndex = 0,
  });

  ApplyState copyWith({
    String? formType,
    bool? enableEdit,
    Map<String, dynamic>? applyDetail,
  }) {
    return ApplyState(
      formType: formType ?? this.formType,
      enableEdit: enableEdit ?? this.enableEdit,
      applyDetail: applyDetail ?? this.applyDetail,
    );
  }

}
