
import 'package:cpt_property/modules/news_detail/property_news_detail_state.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:shared/utils/log_utils.dart';

part 'property_news_detail_vm.g.dart';

@riverpod
class PropertyNewsDetailVm extends _$PropertyNewsDetailVm {

  PropertyNewsDetailState initState() {
    return PropertyNewsDetailState(
        detailData: {
          "detail_url": "https://www.baidu.com",
          "title": "详情"
        }
    );
  }

  @override
  PropertyNewsDetailState build(){
    // 引入数据仓库
    // NewsRepositoryInstance = ref.read(newsRepositoryProvider);
    final state = initState();
    Log.d("--------------------------build---------------------");

    return state;
  }


  // 初始化页面数据
  initPageData() {
  }

  getDetailData(String id) async {
    Log.d("getDetailData");

  }
}
